![](https://spec.oneapi.io/oneapi-logo-white-scaled.jpg)

oneDPL is part of [oneAPI](https://oneapi.io)
# oneAPI DPC++ Library (oneDPL)

oneAPI DPC++ Library (oneDPL) works with the Intel® oneAPI DPC++/C++ Compiler to
provide high-productivity APIs to developers, which can minimize Data Parallel C++ (DPC++)
programming efforts across devices for high performance parallel applications.

## Prerequisites
Install the Intel® oneAPI Base Toolkit (Base Kit) to use oneDPL. Refer to the specific
[system requirements](https://software.intel.com/content/www/us/en/develop/articles/intel-oneapi-dpcpp-system-requirements.html)
for more information.

## Release Information
Visit the latest [Release Notes](https://github.com/oneapi-src/oneDPL/blob/main/documentation/release_notes.rst).

## License
oneDPL is licensed under [Apache License Version 2.0 with LLVM exceptions](https://github.com/oneapi-src/oneDPL/blob/release_oneDPL/licensing/LICENSE.txt).
Refer to the [LICENSE](licensing/LICENSE.txt) file for the full license text and copyright notice.

## Security
See the [Intel Security Center](https://www.intel.com/content/www/us/en/security-center/default.html)
for information on how to report a potential security issue or vulnerability.
You can also view the [Security Policy](SECURITY.md).

## Contributing
See [CONTRIBUTING.md](https://github.com/oneapi-src/oneDPL/blob/release_oneDPL/CONTRIBUTING.md) for details.

## Documentation

See the full documentation set for [oneDPL](https://oneapi-src.github.io/oneDPL).

## Samples
You can find oneDPL samples at the [oneDPL Samples](https://github.com/oneapi-src/oneAPI-samples/tree/master/Libraries/oneDPL) page.

## Support and Contribution
Please report issues and suggestions via [GitHub issues](https://github.com/oneapi-src/oneDPL/issues).

------------------------------------------------------------------------
Intel and the Intel logo are trademarks of Intel Corporation or its subsidiaries in the U.S. and/or other countries.

\* Other names and brands may be claimed as the property of others.